Summary: LDAP User Management
Name: ldapusermgmt
Version: 0.1.100
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
# openldap-servers are required because of slappasswd
Requires: openldap-servers openldap-clients ldifusermgmt bashini

%description
LDAP user mangement tools with support for samba domains and automounter.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/%{name}/resolver-configs,usr/bin,usr/lib/%{name},usr/lib/%{name}/resolvers,usr/share/doc/%{name}-%{version}}

cp -a bin/* $RPM_BUILD_ROOT/usr/bin/.
cp -a lib/* $RPM_BUILD_ROOT/usr/lib/%{name}/.
cp -a config/* $RPM_BUILD_ROOT/etc/%{name}/.
cp -a resolver-configs/* $RPM_BUILD_ROOT/etc/%{name}/resolver-configs/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/%{name}
/usr/bin/ldapuseradd
/usr/bin/ldapfinger
/usr/bin/ldapsubhier
/usr/lib/%{name}/ldapusermgmt-lib.bash
/usr/lib/%{name}/resolvers
%config(noreplace) /etc/%{name}/%{name}.conf
%config(noreplace) /etc/%{name}/resolver-configs/*.conf
%doc doc/*
